com.fasterxml.jackson.databind.deser.impl

## Class ExternalTypeHandler.Builder

- java.lang.Object
- - com.fasterxml.jackson.databind.deser.impl.ExternalTypeHandler.Builder

- Enclosing class:
    ExternalTypeHandler

      public static class ExternalTypeHandler.Builder
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ExternalTypeHandler.Builder()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addExternal(SettableBeanProperty property, TypeDeserializer typeDeser)`
    `ExternalTypeHandler` | `build()` Deprecated.
    `ExternalTypeHandler` | `build(BeanPropertyMap otherProps)` Method called after all external properties have been assigned, to further link property with polymorphic value with possible property for type id itself.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ExternalTypeHandler.Builder

          public ExternalTypeHandler.Builder()

  - ### Method Detail

    - #### addExternal

          public void addExternal(SettableBeanProperty property,
                         TypeDeserializer typeDeser)

    - #### build

          public ExternalTypeHandler build(BeanPropertyMap otherProps)

      Method called after all external properties have been assigned, to further link property with polymorphic value with possible property for type id itself. This is needed to support type ids as Creator properties.
      Since:
        2.8

    - #### build

          @Deprecated
          public ExternalTypeHandler build()

      Deprecated.